*"表題 配列の大きさのチェック GTOOL3(GUSZCK)
*
*"履歴 90/09/21 沼口  敦
*
*
*********************************************************************
*"      << 配列の大きさのチェック >>
*********************************************************************
      SUBROUTINE GUSZCK
     I         ( HHEAD , ISIZEO  )
*
      CHARACTER  HHEAD ( * )*(*)             !" ヘッダー
      INTEGER    ISIZEO                      !" 出力の大きさ
*
      LOGICAL    OSUBCK                      !" チェックフラグ
*
      CALL GTPGET ( 'SUBCHK', OSUBCK )
      IF ( .NOT. OSUBCK )                     RETURN
*
      CALL GHPGET ( HHEAD, 'SIZE', ISIZEA )
      CALL GUSZCZ ( ISIZEA, ISIZEO )
*
      RETURN
      END
*********************************************************************
*"      << 大きさのチェック >>
*********************************************************************
      SUBROUTINE GUSZCZ
     I         ( ISIZEA, ISIZEO )
*
      INTEGER    ISIZEA                      !" 領域の大きさ
      INTEGER    ISIZEO                      !" 出力の大きさ
*
      CHARACTER  HMSG *100
*
      IF ( ISIZEO .GT. ISIZEA ) THEN
         HMSG = 'INSUFFICIENT SPACE: OUT= '
         NH = LENC( HMSG )
         WRITE ( HMSG(NH+1:NH+8), '(I8)' ) ISIZEO
         HMSG(NH+9:100) = ',  ALLOC= '
         NH = LENC( HMSG )
         WRITE ( HMSG(NH+1:NH+8), '(I8)' ) ISIZEA
*
         CALL MSGDMP('E', 'GUSZCK', HMSG )
      ENDIF
*
      RETURN
      END
